WSP(4)

NAME
wsp - Wellspring touchpad driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device wsp
device usb

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    wsp_load="YES"

DESCRIPTION
The wsp driver provides support for the Apple Internal Trackpad device found in many Apple laptops.

The driver simulates a three-button mouse using multi-finger tap detection. A single-finger press generates a left button click. A two-finger tap maps to the right button; whereas a three-finger tap gets treated as a middle button click.

wsp supports dynamic reconfiguration using sysctl(8) through nodes under hw.usb.wsp. Pointer sensitivity can be controlled using the sysctl tunable hw.usb.wsp.scale_factor.

FILES
wsp creates a blocking pseudo-device file, /dev/wsp0, which presents the mouse as a sysmouse or mousesystems type device--see moused(8) for an explanation of these mouse types.

SEE ALSO
sysmouse(4), usb(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), moused(8), sysctl(8)

AUTHORS
-nosplit The wsp driver was written by Huang Wen Hui <huanghwh@gmail.com>